﻿using System;
using System.Collections.Generic;
using System.Collections.ObjectModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace XamDataTreeContextMenuRetrievalCase
{
    public class ViewModel
    {
        string[] names = { "Andrew", "Alex", "Jen", "Rob", "Valerie", "Pamela" };
        public ObservableCollection<SampleData> Data { get; set; }

        public ViewModel()
        {
            Data = new ObservableCollection<SampleData>();

            for (int i = 0; i < names.Length; i++)
            {
                Data.Add(new SampleData()
                {
                    Name = names[i],
                    ID = i
                });
            }
        }
    }

    public class SampleData
    {
        public string Name { get; set; }
        public int ID { get; set; }
    }

}
